import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterPayService = createAsyncThunk(
  "SLAUGHTER_PAY_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("https://rasadyaar.ir/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
